Name:          orika
Version:       1.4.6
Release:       1%{?dist}
Summary:       Java Bean Mapping Framework
# LGPLv2 ./core/src/main/java/ma/glasnost/orika/cern/colt/map/OpenIntObjectHashMap.java
# Source files without license headers https://github.com/orika-mapper/orika/issues/110
License:       ASL 2.0 and LGPLv2
URL:           http://orika-mapper.github.io/orika-docs/
Source0:       https://github.com/orika-mapper/orika/archive/%{name}-parent-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru)
BuildRequires: mvn(com.thoughtworks.paranamer:paranamer)
# java-sizeof:0.0.4
BuildRequires: mvn(com.carrotsearch:java-sizeof)
BuildRequires: mvn(org.javassist:javassist)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
Orika is a Java Bean mapping framework that recursively
copies (among other capabilities) data from one object to
another. It can be very useful when developing multi
layered applications.

%package parent
Summary:       Orika - Parent POM
License:       ASL 2.0

%description parent
Orika - Parent POM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

%pom_remove_plugin -r :maven-shade-plugin

# org.eclipse.text:org.eclipse.text:3.5.101 eclipse-platform
%pom_disable_module eclipse-tools
%pom_disable_module tests

%mvn_file ma.glasnost.%{name}:%{name}-core %{name}-core

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}-core
%doc README.md
%license LICENSE

%files parent -f .mfiles-%{name}-parent
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Apr 06 2016 gil cattaneo <puntogil@libero.it> 1.4.6-1
- initial rpm

